#
# spec file for package libgda (Version 1.0.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cyrus-sasl2 cyrus-sasl2-devel expat glib2 glib2-devel gnome-common gnome-filesystem gpp intltool libgpp libxml2 libxml2-devel libxslt libxslt-devel mysql mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel perl-XML-Parser pkgconfig popt popt-devel postgresql-devel postgresql-libs readline readline-devel scrollkeeper sqlite sqlite-devel unixODBC unixODBC-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel expat gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem heimdal-lib intltool libstdc++-devel libtool libxml2 libxml2-devel libxslt libxslt-devel mysql mysql-devel mysql-shared openldap2 openldap2-devel perl perl-XML-Parser pkgconfig popt-devel postgresql-devel postgresql-libs readline-devel rpm scrollkeeper sqlite sqlite-devel unixODBC unixODBC-devel

Name:         libgda
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL, LGPL
Group:        Productivity/Databases/Servers
Autoreqprov:  on
Version:      1.0.3
Release:      54.4
Summary:      GNU Data Access (GDA) Library
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.gnome-db.org
Source:       ftp://ftp.gnome.org/pub/gnome/sources/libgda/1.0/%{name}-%{version}.tar.bz2
Patch:        libgda-1.0.3-ncurses.patch
Patch1:       libgda-1.0.3-lib64.patch
Patch2:       libgda-syslog-vul.patch

%description
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/C and C++
Requires:     libgda = %{version}
Autoreqprov:  on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package mysql
Summary:      mySQL provider for GNU Data Access (GDA)
Group:        Productivity/Databases/Servers
Requires:     libgda = %{version}
Autoreqprov:  on

%description mysql
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package odbc
Summary:      ODBC provider for GNU Data Access (GDA)
Group:        Productivity/Databases/Servers
Requires:     libgda = %{version}
Autoreqprov:  on

%description odbc
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package postgres
Summary:      PostgreSQL provider for GNU Data Access (GDA)
Group:        Productivity/Databases/Servers
Requires:     libgda = %{version}
Autoreqprov:  on

%description postgres
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package sqlite
Summary:      Sqlite provider for GNU Data Access (GDA)
Group:        Productivity/Databases/Servers
Requires:     libgda = %{version}
Autoreqprov:  on

%description sqlite
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%prep
%setup
%patch
%patch1
%patch2

%build
ACLOCAL="aclocal -I /opt/gnome/share/aclocal/gnome2-macros" \
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --sysconfdir=%sysconfdir \
    --prefix=%{prefix} \
    --mandir=%{prefix}/share/man \
    --libdir=%{prefix}/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang libgda-2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f libgda-2.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%dir %{sysconfdir}/libgda
%config %{sysconfdir}/libgda/config
%{prefix}/bin/*
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/libgda
%dir %{prefix}/%_lib/libgda/providers
%{prefix}/%_lib/libgda/providers/libgda-ldap.so
%{prefix}/%_lib/libgda/providers/libgda-xml.so
%{prefix}/share/libgda
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/omf/*

%files mysql
%defattr(-, root, root)
%{prefix}/%_lib/libgda/providers/libgda-mysql.so

%files odbc
%defattr(-, root, root)
%{prefix}/%_lib/libgda/providers/libgda-odbc.so

%files postgres
%defattr(-, root, root)
%{prefix}/%_lib/libgda/providers/libgda-postgres.so

%files sqlite
%defattr(-, root, root)
%{prefix}/%_lib/libgda/providers/libgda-sqlite.so

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/libgda/providers/*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/*

%changelog -n libgda
* Wed Oct 26 2005 - rodrigo@suse.de
- Added fix for syslog vulnerability (#130698)
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Gzip man pages.
* Mon Mar 01 2004 - ro@suse.de
- fix build on ppc64 and s390x
* Wed Feb 18 2004 - sbrabec@suse.cz
- Split some providers to reduce dependences (bug #34668).
* Tue Feb 17 2004 - sbrabec@suse.cz
- Updated to version 1.0.3.
- Turned on sqlite backend.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jan 08 2004 - ro@suse.de
- updated neededforbuild:
  perl-XML-Parser needed for intltool
  expat needed for perl-XML-Parser
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 1.0.1.
* Fri Aug 29 2003 - kukuk@suse.de
- libgda: Don't conflict with ourself
- libgda-devel: Requires libgda
* Tue Aug 26 2003 - sbrabec@suse.cz
- Updated to version 0.91.0.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Package renamed (libgda2 -> libgda).
- Updated to version 0.12.1.
* Thu Jul 17 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 01 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
- added directories to filelist
* Thu Jun 05 2003 - ro@suse.de
- run full autoreconf
- fix configure.in for lib64 platforms
* Wed Jun 04 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
